

layout(location = 0, index = 0) out vec4 outcol0;

uniform sampler2D bgtex;

in vec2 uv0;

//note: [0;1]
vec3 nrand3( vec2 n ) {
	return fract(sin(dot(n.xy, vec2(12.9898, 78.233)))* vec3(43758.5453, 28001.8384, 50849.4141) );
}

void main()
{
	vec4 samplecol = texture( bgtex, uv0 );
	outcol0 = 0.35 * samplecol;
	//outcol0.rgb += nrand3( 0.01 * gl_FragCoord.xy ) / 255.0;
}
